### Enumeration

# Gio ZlibCompressorFormat

since: 2.24

#### Declaration

    enum Gio.ZlibCompressorFormat

#### Description [src]

Used to select the type of data format to use for `GZlibDecompressor` and `GZlibCompressor`.

Available since: 2.24

#### Members

`G_ZLIB_COMPRESSOR_FORMAT_ZLIB`

  Deflate compression with zlib header.

  - Value: `0`
  - Available since: 2.24
`G_ZLIB_COMPRESSOR_FORMAT_GZIP`

  Gzip file format.

  - Value: `1`
  - Available since: 2.24
`G_ZLIB_COMPRESSOR_FORMAT_RAW`

  Deflate compression with no header.

  - Value: `2`
  - Available since: 2.24